Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class SetStrokeColor

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation
              org.pdfclown.documents.contents.objects.SetStrokeColor

Direct Known Subclasses:
  SetDeviceCMYKStrokeColor, SetDeviceGrayStrokeColor, SetDeviceRGBStrokeColor

    @PDF(value=PDF12)
    public class SetStrokeColor

extends Operation

'Set the color to use for stroking operations' operation [PDF:1.6:4.5.7].

Since:
  0.0.4
Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static String` | `ExtendedOperator` 'Set the color to use for stroking operations in any color space' operator.
`static String` | `Operator` 'Set the color to use for stroking operations in a device, CIE-based (other than ICCBased), or Indexed color space' operator.

Fields inherited from class org.pdfclown.documents.contents.objects.Operation
`operands, operator`

Constructor Summary
`` | `SetStrokeColor(Color<?> value)`
`` | `SetStrokeColor(List<PdfDirectObject> operands)`
`protected` | `SetStrokeColor(String operator, Color<?> value)`
`` | `SetStrokeColor(String operator, List<PdfDirectObject> operands)`
`protected` | `SetStrokeColor(String operator, PdfName name)`
`protected` | `SetStrokeColor(String operator, PdfName name, Color<?> underlyingColor)`

Method Summary
`List<PdfDirectObject>` | `getComponents()`
`void` | `scan(ContentScanner.GraphicsState state)` Applies this object to the specified graphics context, updating the specified graphics state.

Methods inherited from class org.pdfclown.documents.contents.objects.Operation
`get, getOperands, getOperator, toString, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ExtendedOperator

    @PDF(value=PDF12)
    public static final String ExtendedOperator

  'Set the color to use for stroking operations in any color space' operator.

  See Also:
    Constant Field Values

### Operator

    @PDF(value=PDF11)
    public static final String Operator

  'Set the color to use for stroking operations in a device, CIE-based (other than ICCBased), or Indexed color space' operator.

  See Also:
    Constant Field Values

Constructor Detail

### SetStrokeColor

    public SetStrokeColor(Color<?> value)

### SetStrokeColor

    public SetStrokeColor(List<PdfDirectObject> operands)

### SetStrokeColor

    public SetStrokeColor(String operator,
                          List<PdfDirectObject> operands)

### SetStrokeColor

    protected SetStrokeColor(String operator,
                             Color<?> value)

### SetStrokeColor

    protected SetStrokeColor(String operator,
                             PdfName name)

Parameters:
  `operator` - Graphics operator.
  `name` - Name of the color resource entry (see `Pattern`).

### SetStrokeColor

    protected SetStrokeColor(String operator,
                             PdfName name,
                             Color<?> underlyingColor)

Parameters:
  `operator` - Graphics operator.
  `name` - Name of the color resource entry (see `Pattern`).
  `underlyingColor` - Color used to colorize the pattern.

Method Detail

### getComponents

    public List<PdfDirectObject> getComponents()

### scan

    public void scan(ContentScanner.GraphicsState state)

  Description copied from class: `ContentObject`
  Applies this object to the specified graphics context, updating the specified graphics state.

  Overrides:
    `scan` in class `ContentObject`
  Parameters:
    `state` - Graphics state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.